package com.hai.dao;

import com.hai.entity.HighOrderSplitAccountsRecord;
import com.hai.entity.HighOrderSplitAccountsRecordExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighOrderSplitAccountsRecordMapper extends HighOrderSplitAccountsRecordMapperExt {
    @SelectProvider(type=HighOrderSplitAccountsRecordSqlProvider.class, method="countByExample")
    long countByExample(HighOrderSplitAccountsRecordExample example);

    @DeleteProvider(type=HighOrderSplitAccountsRecordSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighOrderSplitAccountsRecordExample example);

    @Delete({
        "delete from high_order_split_accounts_record",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_order_split_accounts_record (order_id, order_no, ",
        "`type`, account_no, ",
        "rate, split_price, ",
        "`status`, create_time, ",
        "update_time, ext_1, ",
        "ext_2, ext_3)",
        "values (#{orderId,jdbcType=BIGINT}, #{orderNo,jdbcType=INTEGER}, ",
        "#{type,jdbcType=INTEGER}, #{accountNo,jdbcType=VARCHAR}, ",
        "#{rate,jdbcType=DECIMAL}, #{splitPrice,jdbcType=DECIMAL}, ",
        "#{status,jdbcType=INTEGER}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{updateTime,jdbcType=TIMESTAMP}, #{ext1,jdbcType=VARCHAR}, ",
        "#{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighOrderSplitAccountsRecord record);

    @InsertProvider(type=HighOrderSplitAccountsRecordSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighOrderSplitAccountsRecord record);

    @SelectProvider(type=HighOrderSplitAccountsRecordSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="order_id", property="orderId", jdbcType=JdbcType.BIGINT),
        @Result(column="order_no", property="orderNo", jdbcType=JdbcType.INTEGER),
        @Result(column="type", property="type", jdbcType=JdbcType.INTEGER),
        @Result(column="account_no", property="accountNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="rate", property="rate", jdbcType=JdbcType.DECIMAL),
        @Result(column="split_price", property="splitPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighOrderSplitAccountsRecord> selectByExample(HighOrderSplitAccountsRecordExample example);

    @Select({
        "select",
        "id, order_id, order_no, `type`, account_no, rate, split_price, `status`, create_time, ",
        "update_time, ext_1, ext_2, ext_3",
        "from high_order_split_accounts_record",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="order_id", property="orderId", jdbcType=JdbcType.BIGINT),
        @Result(column="order_no", property="orderNo", jdbcType=JdbcType.INTEGER),
        @Result(column="type", property="type", jdbcType=JdbcType.INTEGER),
        @Result(column="account_no", property="accountNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="rate", property="rate", jdbcType=JdbcType.DECIMAL),
        @Result(column="split_price", property="splitPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighOrderSplitAccountsRecord selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighOrderSplitAccountsRecordSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighOrderSplitAccountsRecord record, @Param("example") HighOrderSplitAccountsRecordExample example);

    @UpdateProvider(type=HighOrderSplitAccountsRecordSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighOrderSplitAccountsRecord record, @Param("example") HighOrderSplitAccountsRecordExample example);

    @UpdateProvider(type=HighOrderSplitAccountsRecordSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighOrderSplitAccountsRecord record);

    @Update({
        "update high_order_split_accounts_record",
        "set order_id = #{orderId,jdbcType=BIGINT},",
          "order_no = #{orderNo,jdbcType=INTEGER},",
          "`type` = #{type,jdbcType=INTEGER},",
          "account_no = #{accountNo,jdbcType=VARCHAR},",
          "rate = #{rate,jdbcType=DECIMAL},",
          "split_price = #{splitPrice,jdbcType=DECIMAL},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighOrderSplitAccountsRecord record);
}