package com.hai.order.service.impl;

import com.alicp.jetcache.anno.CacheType;
import com.alicp.jetcache.anno.Cached;
import com.hai.entity.HighOrder;
import com.hai.order.service.OrderService;
import com.hai.service.HighOrderService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @className: OrderServiceImpl
 * @author: HuRui
 * @date: 2022/8/18
 **/
@Service("newOrderService")
public class OrderServiceImpl implements OrderService {

    @Resource
    private HighOrderService highOrderService;

    @Override
    @Cached(cacheType = CacheType.BOTH,name="Order:", key = "#orderNo",expire = 3600)
    public HighOrder getDetailByOrderNo(String orderNo) {
        return highOrderService.getOrderByOrderNo(orderNo);
    }

    @Override
    public List<HighOrder> getOrderList(Map<String, Object> param) {
        return highOrderService.getOrderList(param);
    }
}
